Name:           binwalk
Version:        2.0.0
Release:        3%{?dist}
Summary:        Firmware analysis tool
License:        MIT
URL:            http://www.binwalk.org/
Source0:        https://github.com/devttys0/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         binwalk-2.0.0-unbundle-miniz.patch
Patch1:         binwalk-2.0.0-use-system-miniz.patch
BuildRequires:  python2-devel
BuildRequires:  miniz-devel
Requires:       file-libs

%description
Binwalk is a tool for searching a given binary image for embedded files and
executable code. Specifically, it is designed for identifying files and code
embedded inside of firmware images. Binwalk uses the python-magic library, so 
it is compatible with magic signatures created for the Unix file utility. 

%prep
%setup -q
%patch0 -p1 -b .unbundle-miniz
%patch1 -p1 -b .use-system-miniz

%build
%configure --disable-bundles
make %{?_smp_mflags}
chmod -c +x src/build/lib/binwalk/libs/*.so

%install
# Override --install-lib because package believes it is pure python but it
# actually contains arch-specific code.
%{__python2} setup.py install --install-lib=%{python2_sitearch} --prefix=%{_prefix} --root=%{buildroot}

%files
%doc API.md INSTALL.md LICENSE README.md
%{_bindir}/%{name}
%{python2_sitearch}/%{name}/
%{python2_sitearch}/%{name}-%{version}*.egg-info

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Nov  1 2014 Ville Skyttä <ville.skytta@iki.fi> - 2.0.0-2
- Fix *.so permissions for -debuginfo

* Mon Sep 29 2014 Scott Talbert <swt@techie.net> - 2.0.0-1
- New upstream release 2.0.0 (#1085059, #1111576)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  8 2013 Tom Callaway <spot@fedoraproject.org> 1.2-1
- update to 1.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Adam Jackson <ajax@redhat.com> 0.4.5-1
- Initial packaging.

